From: Sam Damon <[email-masked]>
Date: Thu, 10 Feb 1994 22:52:34 -0500 (EST)

LAMBDA JOINS THE INFORMATION HIGHWAY... WE'RE ON-LINE!
   (The Lambda Update, Winter 1994, v11 #1 - Lambda Legal Defense)
   (PS - Join this great organization ... they need your support and money)

If you have access to a computer and a modem, you can now receive
up-to-the-minute Lambda press releases and media advisories on-line!

Lambda press releases are currently posted to the following on-line forums:
Gay & Lesbian Community Forum of America Online, CompuServe's Issues Forum,
The Backroom, the Queer Resource Directory ([email-masked]), and
other national and local newsgroups.  Lambda will announce additions to its
services in subsequent newsletters. At this time, however, we are limiting our
participation to media releases and are not providing interactive
communications services, such as case intake and personal e-mail
communications.

If you have suggestions for a site we should "load up' onto, or questions
about where Lambda info is currently being posted, contact Donald Huppert at
the National Office at 212/335-8585.